 /* Vendor prefixes and enhancements for better cross-browser compatibility */
 nav {
    position: relative;
    box-shadow: 3px 3px 5px rgba(0, 0, 0, 0.1);
    right: 0;
    left: 0;
    height: 6em;
    z-index: 1000;
    width: 100%;
}

nav ul {
    position: relative;
    top: 1em;
    width: 100%;
    display: flex;
    justify-content: flex-end;
    align-items: center;

}

nav a {
    position: relative;
    height: 100%;
    padding: 0 2em;
    display: flex;
    align-items: center;
    color: #fff;

}

nav li:first-child {
    margin-right: auto;
}
.logo{
    position: relative;
    left: -2em;
}
@media(max-width:360px){
    .logo{
        position: relative;
        left: 2em;
    }
}
@media(max-width:384px){
    .logo{
        position: relative;
        left: 2em;
    }
}
@media(max-width:390px){
    .logo{
        position: relative;
        left: 2em;
    }
}
.logo img{
width:15em;
}
/* Sidebar */
.sidebar {
    position: fixed;
    top: 0;
    right: -100%; /* Initially hide the sidebar off-screen */
    height: 100vh;
    width: 250px;
    z-index: 999;
    background-color: var(--dark-gray);
    backdrop-filter: blur(.8em);
    box-shadow: -.8em 0 .8em rgba(0, 0, 0, 0.1);
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-start;
    transition: right 0.3s ease-in-out; /* Smooth slide-in effect */
}

.sidebar.show {
    right: 0; /* Bring the sidebar into view */
}


.sidebar a svg {
    position: relative;
}

.sidebar li {
    position: relative;
    top: 2em;
    width: 100%;
}

.sidebar a {
    width: 100%;
    padding:1em 2em;
}

.menu-btn {
    display: none;
}

.top-nav {
    padding: 1em 2em;
}

.top-nav .fa {
    color: var(--primary-color);
}

@media (max-width: 800px) {
    .hideOnMobile {
        display: none;
    }

    .menu-btn {
        display: block;
    }
}

@media (max-width: 400px) {
    .sidebar {
        width: 100%;
    }
}

/*---------Hero--------------*/
.hero {
    padding:3em;
}

.hero form input[type='text']{
    padding:1em;
    width: 100%;
    border-radius: 1em;
}

.hero .form-group{
  position: relative;
}
.hero .btn{
    position: absolute;
    top: 1.6em;
    right: 2em;
    padding: 1.5em !important;
}

/*---------Workers--------------*/
.worker{
    position: relative;
}
.workers .workers-content .main{
    margin-top: -50em;
}
@media (max-width: 800px) {
     .workers .workers-content .main{
        margin-top: -20em;
    }
}


.main-content {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr)); /* flexible grid */
    gap: 1.5em;
    justify-content: start; /* Align items to the left */
}

.card {
    max-width: 300px;
    width: 100%;
    height: 25em;
    background-color: #fff;
    padding: 0 0em 2em;
    border-radius: 0.5em;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
}

.card .card-image img {
    width: 100%;
    height: 10em;
    object-fit: cover;
    border-top-left-radius: 0.5em;
    border-top-right-radius: 0.5em;
}

.card a{
    color: black;
}
.card .card-image{
    position: relative;
}

.card .card-info{
    padding: .2em;
    text-align: center;
}
.card .card-info h2{
    color: rgb(49, 49, 49);
}

.rate{
    text-align: center;
}


 .rate .checked {
    color: orange;
  }

  @media(max-width:800px){
    .workers-content{
        display: grid;
        grid-template-columns: repeat(1, 1fr);
        padding: 1em;
    }
    .workers-content .side-bar{
        display: none;
    }
    .card .card-image img{
        position: relative;
    width: 100%;
    height: 15em;
    }
  }












  /*---------------------Single Page --------------------*/
  .banner-content-image{
    height:50vh;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}


  /*----- ------Banner--------------*/

 .profile-image img{
    position: relative;
    top: 2em;
    left: 2em;
    width: 10em;
    border-radius: 5em;
 }

 /*----------------price-info----------------*/
 .price-info{
    position: relative;
    top: 10em;

 }
 .price-info-content{
    background-color: #fff;
    padding: 2em;
 }
 /*-----------book-appointments-----------*/
 .book-appointments{
    position: relative;
    top: 10em;

 }
 .form-group{
    padding: 1em;
 }
 .rate-us-form .btn{
    color: #fff;
 }
 .book-appointments .book-content .book-form input[type='text'],input[type='date'],input[type='time']{
  padding: 1em;
  width: 100%;
 }
  /*--------Gallary-----------*/
.gallery {
    position: relative;
    top: 5em;
	display: flex;
	flex-wrap: wrap;
	/* Compensate for excess margin on outer gallery flex items */
	margin: -1rem -1rem;
}

.gallery-item {
	/* Minimum width of 24rem and grow to fit available space */
	flex: 1 0 24rem;
	/* Margin value should be half of grid-gap value as margins on flex items don't collapse */
	margin: 1rem;
	box-shadow: 0.3rem 0.4rem 0.4rem rgba(0, 0, 0, 0.4);
	overflow: hidden;
    width: 100%;
}

.gallery-image {
	display: block;
	width: 100%;
	height: 100%;
	object-fit: cover;
	transition: transform 400ms ease-out;
}
.gallery .gallery-item img{
 width: 100%;
}
.gallery-image:hover {
	transform: scale(1.15);
}

/*

The following rule will only run if your browser supports CSS grid.

Remove or comment-out the code block below to see how the browser will fall-back to flexbox styling.

*/

@supports (display: grid) {
	.gallery {
		display: grid;
		grid-template-columns: repeat(auto-fit, minmax(24rem, 1fr));
		grid-gap: 2rem;
	}

	.gallery,
	.gallery-item {
		margin: 0;
	}
}


  /*----- ------Reviews--------------*/

.reviews{
    position: relative;
    top: 10em;
}

.review-card{
    box-shadow: 3px 3px 5px rgba(0, 0, 0, 0.1);
    padding: 1em;
    border: .1em solid gray;
}

.checked {
    color: orange;
  }

/* The Modal (background) */
.modal {
    display: none; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 1; /* Sit on top */
    padding-top: 100px; /* Location of the box */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: hidden; /* Enable scroll if needed */
    background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
    z-index: 19;
  }

  /* Modal Content */
  .modal-content {
    background-color: #fefefe;
    margin: 15% auto; /* 15% from the top and centered */
    padding: 20px;
    border: 1px solid #888;
    width: 60%;
    height: 80vh;
    position: relative;
    top: -15em;
    z-index: 20;
  }
  @media(max-width:800px){
    .modal-content {
        top: -5em;
        padding: 1px;
        width: 90%;
      }

  }
  /* The Close Button */
  .close {
    color: #aaaaaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
  }

  .close:hover,
  .close:focus {
    color: #000;
    text-decoration: none;
    cursor: pointer;
  }
.ratings h3{
  position: relative;
  left: 1em;
}
  .rate {
    float: left;
    height: 46px;
    padding: 0 10px;
}
.rate:not(:checked) > input {
    position:absolute;
    top:-9999px;
}
.rate:not(:checked) > label {
    float:right;
    width:1em;
    overflow:hidden;
    white-space:nowrap;
    cursor:pointer;
    font-size:30px;
    color:#ccc;
}
.rate:not(:checked) > label:before {
    content: '★ ';
}
.rate > input:checked ~ label {
    color: #ffc700;
}
.rate:not(:checked) > label:hover,
.rate:not(:checked) > label:hover ~ label {
    color: #deb217;
}
.rate > input:checked + label:hover,
.rate > input:checked + label:hover ~ label,
.rate > input:checked ~ label:hover,
.rate > input:checked ~ label:hover ~ label,
.rate > label:hover ~ input:checked ~ label {
    color: #c59b08;
}

.form-inputs input[type='text']{
    padding: 1em;
    width: 100%;
}
 textarea{
    width: 100%;
 }









/*-----------------Footer------------*/

footer{
    position: relative;
    top: 15em;
    background:var(--dark-gray);
    padding:10em 0;
    color:#fff;
}

footer .footer-content .quick_links ul li a{
   color:#fff;

}

@media only screen and (min-width:700px) {

    footer .footer-content{
        display:grid;
        grid-template-columns:40% 20% 30%;
        gap:2em;
    }
    }
